<!-- BEGIN COPYRIGHT BLOCK
 This Program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; version 2 of the License.

 This Program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with
 this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA 02111-1307 USA.

 
 Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 Copyright (C) 2005 Red Hat, Inc.
 All rights reserved.
  END COPYRIGHT BLOCK -->

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>
<!-- HEAD -->
<title>ディレクトリ ツリーの検索</title>
</head>

<body>

<h1><a name="search"></a>ディレクトリ ツリーの検索</h1>

<p>Directory Serverには、企業のユーザとリソースに関する貴重な情報が含まれています。Directory Serverのインタフェースを使用して、必要な情報を簡単に見つけることができます。検索プロセスを簡略化するため、このインタフェースでは2種類の検索を提供しています。</p>

<ul>
    <li><a href="#standard">標準検索</a> -- 指定した値に基づいて適切な検索方法が選択されます。例えば、moz@airius.comを指定すると、標準検索では一致する電子メール アドレスが検索されます。</li>
<P>
    <li><a href="#advanced">拡張検索</a>特定のエントリ属性に対する簡単な検索方法を提供します。例えば、名字が<b>k</b>で始まり、電話番号が<b>2110</b>で終わるユーザを検索するように指定できます。</li>
</ul>

<p>いずれのタイプの検索を使用する場合でも、検索するエントリのタイプを選択できます。以下のエントリ タイプを検索できます。</p>

<table border="2">
    <tr>
        <th><a name="type"></a><b>エントリ タイプ</b></th>
        <th>説明</th>
    </tr>
    <tr>
        <td valign="top">ユーザ</td>
        <td valign="top">ユーザを記述するエントリ。</td>
    </tr>
    <tr>
        <td valign="top">NTユーザ</td>
        <td valign="top">NTユーザを記述するエントリ。</td>
    </tr>
    <tr>
        <td valign="top">グループ<b> </b></td>
        <td valign="top">グループを記述するエントリ。グループは、1つまたは複数のディレクトリ エントリの集まりです。例えば、システム管理者のグループ、テクニカルライターのグループ、釣りに興味のある全ユーザのグループなどをサイトで定義できます。グループは必ずしもユーザの集まりである必要はありません。例えば、サイトにおけるすべてのカラー プリンタやファクシミリのグループなどを定義できます。また、グループに他のグループを含めることもできます。</td>
    </tr>
    <tr>
        <td>NTグループ</td>
        <td>NTユーザのグループを記述するエントリ。</td>
    </tr>
    <tr>
        <td valign="top">組織</td>
        <td valign="top">組織を記述するエントリ。一般に、組織は、企業や大学などの単一の大規模の組織を表します。通常はユーザやデバイスの集まりであるグループは、ディレクトリに実体が追加または削除されると変化することがあり、この点で組織はグループとは異なります。これに対して組織は、ディレクトリの比較的安定した主要部分またはブランチを表します。組織エントリは、ディレクトリ内でのエンティティの追加や削除によって影響を受けることはあまりありません。</td>
    </tr>
    <tr>
        <td valign="top">組織単位</td>
        <td valign="top">組織単位を記述するエントリ。一般に、組織単位は、比較的大きな組織内での主要部門を表します。企業や大学などの単一の大規模な組織エントリとは異なり、組織単位は、会計部、販売部、人文学部、生物学部など、より小さな組織を表します。</td>
    </tr>
    <tr>
        <td valign="top">任意のタイプ</td>
        <td valign="top">ディレクトリ内で検索基準に一致する任意のタイプのエントリ。任意のタイプは、ディレクトリ内のエントリがディレクトリ管理者によってどのように指定されているか不明な場合に使用します。検索するエントリ タイプがユーザ、グループ、組織のいずれでもない場合には、任意のタイプが便利です。</td>
    </tr>
</table>

<p>Directory Serverが検索を完了した後、一致したすべてのエントリへのリンクを示す<a href="#results">検索結果</a>がインタフェースによって表示されます。検索結果リストに表示されるエントリをクリックすると、そのエントリに関する詳細情報が表示されます。エントリがユーザの場合、<a href="#vCard">そのユーザのデジタル名刺、つまりvCardを表示</a>するように選択することもできます。vCardを使用すると、ボタンをクリックするだけで、ユーザをCommunicatorのアドレス帳に簡単に追加できます。</p>

<h2><a name="standard"></a>標準検索</h2>

<p>標準検索は、指定されたデータの性質によって異なるタイプの検索を実行します。つまり、検索フィールドに入力した内容によって、一致する<a href="#Name">氏名</a>、<a href="#phone">電話番号</a>、<a href="#email">電子メール アドレス</a>などの検索ができます。</p>

<p>入力した内容に応じて、標準検索では、基準に完全に一致するエントリ、基準を含むエントリ、基準に類似した音の語を含むエントリのいずれを検索するかが判定されます。また、[標準検索] フィールドに LDAP (Lightweight Directory Access Protocol) <a href="#filter">検索フィルタ</a>を指定して検索することもできます。</p>

<h3><a name="Performing a Standard Search"></a>標準検索の実行</h3>

<ol>
    <li>[標準検索] タブをクリックします。</li>
    <li>[検索] のドロップダウン リストから、検索したい<a href="#type">エントリ タイプ</a>を選択します。</li>
    <li>[検索対象] フィールドに、検索したい値を入力します。[検索対象] フィールドは大文字/小文字を区別しません。以下のいずれでも入力できます。
	  <ul type="disc">
            <li><a href="#Name">氏名</a>または氏名の一部</li>
            <li>ユーザの<a href="#initials">イニシャル</a> </li>
            <li><a href="#phone">電話番号</a>の一部または全部
            </li>
            <li><a href="#email">電子メール アドレス</a>の一部または全部</li>
            <li>LDAP <a href="#filter">検索フィルタ</a></li>
        </ul>
    </li>
    <li>[送信] をクリックします。<br>
        フォーム データをDirectory Serverに送信すると、入力した値に完全一致、部分一致、または類似するエントリが検索されます。一致結果は、<a href="#results">検索結果</a>テーブルに表示されます。</li>
</ol>

<h4><a name="Name"></a>氏名を検索する</h4>

<p>以下のような文字列を指定した場合:</p>

<ul>
    <li>数字以外の文字を含む</li>
    <li>アット (@) 記号を含まない</li>
</ul>

<p>標準検索では、指定した値に完全一致、部分一致、または類似する氏名、名、名字の検索が試みられます。</p>

<p>例えば、文字列「<font face="Courier">son</font>」を指定すると、以下のような結果が戻されます。</p>

<p>
<ul>
	<li>Gary Stevenson</li>
	<li>Mary Sun</li>
	<li>Allison Barker</li>
</ul>

<h4><a name="initials"></a>イニシャルを伴なう氏名を検索する</h4>

<p>以下の順序で以下の項目を含む値を指定した場合:</p>

<ol>
    <li>1文字</li>
    <li>スペース ( )、ピリオド (.)、またはピリオドとスペースを任意の順序で</li>
    <li>1つまたは複数の文字</li>
</ol>

標準検索では、名を表すイニシャルの後に名字が続くものが検索されます。例えば、文字列「S.Anderson」を指定すると、以下のような結果が戻されます。</p>

<ul>
    <li>Sally Anderson</li>
    <li>Steve Anderson</li>
    <li>Sue Anderson</li>
</ul>

<p>同様に、以下の順序で以下の項目を含む値を指定した場合:</p>

<ol>
    <li>複数の文字</li>
    <li>スペース ( )、ピリオド (.)、またはピリオドとスペースを任意の順序で</li>
    <li>1文字</li>
</ol>

<p>標準検索では、名の後に名字を表すイニシャルが続くものが検索されます。例えば、文字列「<font face="Courier New"></font>Mark
.P」を指定すると、以下のような結果が戻されます。</p>

<ul>
    <li>Mark Payne</li>
    <li>Mark Peck</li>
    <li>Mark Polk</li>
</ul>

<blockquote>
    <p><b>注: </b></p>
    <p>イニシャルを使用した場合、標準検索では完全一致の検索だけが実行されます。検索で指定した通りのイニシャルと名前を持つエントリのみが戻されます。類似 (発音が似ている) 検索と副文字列検索は実行されません。</p>
</blockquote>

<h4><a name="phone"></a>電話番号を検索する</h4>

<p>標準検索では、入力した値が数字だけから成る場合、電話番号が自動的に検索されます。少なくとも1つの数字の後に続く1つのハイフン (-) を使用することもできます。</p>

<p>このタイプの検索は、「終了文字」検索です。つまり、Directory Serverは指定された値で終了する電話番号を検索します。例えば、値<tt>123</tt>を入力した場合、123で終了するすべての電話番号が検索されます。</p>

<h4><a name="email"></a>電子メール アドレスを検索する</h4>

<p>標準検索では、入力した値にアット (@) 記号が含まれる場合、一致する電子メール アドレスが自動的に検索されます。まず、入力値に完全に一致する電子メール アドレスが検索されます。一致エントリが見つからなかった場合は、入力値で開始されるエントリが検索されます。</p>

<p>例えば、文字列「<font face="Courier">son@</font>」を指定すると、次のような結果が戻されます。</p>

<ul>
    <li>son@</li>
</ul>
または、ディレクトリ内で一致エントリが見つからなかった場合は、次のような結果が戻されます。
<ul>
    <li>son@aardvark.org</li>
    <li>son@acme.com</li>
</ul>

<h4><a name="filter"></a>検索フィルタを使用する</h4>

<p>標準検索に正しい検索のタイプを判定させる代りに、LDAP検索フィルタを明示的に指定することもできます。LDAP検索フィルタを使用すると、特定の<a HREF="attribut.htm">属性</a>値を対象にエントリを検索できます。標準検索では、等号記号 (=) を含む文字列はすべてLDAP検索フィルタであるとみなされます。例えば、</p>

<pre>cn=*eve*</pre>

<p>はLDAP検索フィルタであり、文字列<tt>eve</tt>を含む一般名 (common name - CN) を探す副文字列検索を実行します。LDAP検索フィルタ内で属性を指定するとき、Directory Serverのインタフェースで表示される属性フィールド名ではなく、Directory Server内部で使用される属性ラベル (内部ID) を使用する必要があることに注意してください。例えば、[氏名] 属性フィールドの内部IDは、<TT>cn</TT>です。標準検索で検索フィルタを入力するには、次のように、属性フィールド名 (氏名) ではなく、内部ID (commonName) を使用してください。
</P>
<P><TT>commonName=Smith Fukuda</TT></P>

<P>属性フィールドの中には、第二の省略形の内部IDを持つものがあります。例えば、[氏名] フィールドには、commonNameとcnの2つの内部IDがあります。検索フィルタでは、これらのいずれでも使用できます。</p>

<p>検索フィルタの詳細は、『<em>Directory Server管理者用ガイド</em>』を参照してください。</p>

<h2><a name="advanced"></a>拡張検索</h2>

<p>拡張検索を使用して、特定の属性が指定の値を持つようなエントリを検索できます。例えば、指定した値の電子メール アドレスを持つユーザを検索できます。また、指定した属性値を<i>含まない</i>エントリを検索することもできます。例えば、名字がSmithでないすべてのユーザを検索できます (このような検索では大量の結果が戻されるため、この種の検索の実行は避けてください)。</p>

<p>拡張検索では、入力した語に完全に一致するエントリを戻す完全一致検索が行われます。検索を構築するための [拡張検索] フォームには、4つのフィールドがあります。これら4つのフィールドによって、検索を指定する文が示されます。一般に、この文のは次のように構成されます。</p>

<p><a href="#type">検索:</a><i> [エントリ タイプ] </i><a
href="search.htm#wherethe">ただし:</a><i> [属性] </i><a
href="search.htm#typeofsearch">[検索タイプ]</a><i> [検索文字列]</i></p>

<p>これらの最初の3つのフィールドのオプションはプルダウン メニューで選択できます。最後のフィールドには、実際の検索文字列を入力します。例えば、次のように検索を構築できます。</p>

<p><b>検索:</b><i> </i>[ユーザ]<i> </i><b>ただし: </b>[名字] [is (一致)] [Bowker]</p>

<p>または、次のように検索を構築できます。</p>

<p><b>検索: </b>[ユーザ] <b>ただし: </b>[氏名] [sounds like (類似)] [tree]</p>

<h3><a name="Performing an Advanced Search"></a>拡張検索の実行</h3>

<ol>
    <li>[拡張検索] タブをクリックします。</li>
    <li>[検索] のドロップダウン リストから、検索したい<a href="#type">エントリ タイプ</a>を選択します。</li>
    <li>[ただし] フィールドのドロップダウン リストから、検索したい属性を選択します。選択肢は、[検索] フィールドで選択したエントリ タイプによって異なります。下表に、選択可能なオプションとその説明を示します。<br>
<P>
        <table border="2">
            <tr>
                <th><a name="wherethe"></a><b>[検索]フィールドの内容. . .</b></th>
                <th><b>選択肢. . .</b></th>
            </tr>
            <tr>
                <td>ユーザまたはNTユーザ</td>
                <td><a HREF="attribut.htm#cn">氏名</a>、
                <a HREF="attribut.htm#sn">名字</a>、<a
                HREF="attribut.htm#telephoneNumber">電話番号</a>、
                <a HREF="attribut.htm#mail">電子メール アドレス</a>、<a
                HREF="attribut.htm#uid">ユーザID</a>、または<a
                HREF="attribut.htm#title">役職</a></td>
            </tr>
            <tr>
                <td>グループまたはNTグループ</td>
                <td><a HREF="attribut.htm#description">記述</a>、
		<a HREF="attribut.htm#owner">所有者</a>、または
		<a HREF="attribut.htm#ntGroupType">NTグループ タイプ</a> (NTグループの場合)</td>
            </tr>
            <tr>
                <td>組織</td>
                <td><a HREF="attribut.htm#l">場所</a>、
                <a HREF="attribut.htm#telephoneNumber">電話番号
                </a>、または<a HREF="attribut.htm#description">記述</a></td>
            </tr>
            <tr>
                <td>任意のタイプ</td>
                <td><a HREF="attribut.htm#cn">名</a>または
                <a HREF="attribut.htm#description">記述</a></td>
            </tr>
        </table>
    </li>
<P>
    <li>実行したい検索のタイプを選択します。<br>
        <br>
        一般に、このフィールドは、検索が等号検索、副文字列検索、類似
        (発音が似ている) 検索のいずれであるかを示します。下表に、使用可能な各キーワードと、それぞれが表す検索タイプの定義を示します。これらのキーワードのすべてが各検索で使用できるわけではありません。実際に使用できるキーワードは、[検索] フィールドと [ただし] フィールドで選択した値によって異なります。以下のいずれか1つを選択できます。
<p>
        <table border="2">
            <tr>
                <th><a name="typeofsearch"></a><b>検索タイプ</b></th>
                <th><b>説明</b></th>
            </tr>
            <tr>
                <td>is (一致)</td>
                <td>完全一致が検索されます。つまり、このオプションは等号検索を指定します。エントリの属性の完全な値が分かっている場合にこのオプションを使用します。例えば、ユーザの名字の完全なスペルが分かっている場合に使用します。</td>
            </tr>
            <tr>
                <td>is not (不一致)</td>
                <td>検索文字列に完全に一致しない属性値を持つエントリがすべて戻されます。例えば、名字がSmithでないすべてのユーザをディレクトリで検索する場合にこのオプションを使用します。ただし、このオプションを使用すると、大量のエントリが戻されることがあるので注意してください。</td>
            </tr>
            <tr>
                <td>sounds like (類似)</td>
                <td>発音に即した検索が実行されます。属性値は分かっているが、スペルが不明の場合にこのオプションを使用します。例えば、ユーザの名字のスペルがSarret、Sarette、Sarettのいずれであるか不明の場合に使用します。</td>
            </tr>
            <tr>
                <td>starts with (開始文字)</td>
                <td>副文字列検索が実行されます。指定した検索文字列で開始する値を持つ属性が戻されます。例えば、ユーザの名がSteveであると分かっているが、名字が不明の場合に、このオプションを使用して氏名を検索できます。</td>
            </tr>
            <tr>
                <td>ends with (終了文字)</td>
                <td>副文字列検索が実行されます。指定した検索文字列で終了する値を持つ属性が戻されます。例えば、ユーザの電話番号の最後の4桁が9876であると分かっている場合に、このオプションを使用してそのユーザのエントリを検索します。</td>
            </tr>
            <tr>
                <td>contains (含有)</td>
                <td>副文字列検索が実行されます。指定した検索文字列を含む値を持つ属性が戻されます。例えば、組織の記述におそらくsupportという語が含まれると思う場合に、このオプションで検索文字列「support」を使用してその組織のエントリを検索します。</td>
            </tr>
        </table>
    </li>
<p>
    <li>検索したい文字列をテキストボックスに入力し、[検索] をクリックします。<br>
        Directory Serverにフォーム データを送信すると、指定した値に完全に一致するエントリが検索されます。一致結果は検索結果リストとして表示されます。</li>
</ol>

<h3><a name="Advanced Search Examples"></a>拡張検索の例</h3>

<p>以下は、[拡張検索]フォームの使用例です。垂直バー (|) はフォーム上のフィールドの区切りを表します。</p>

<table border="2">
    <tr>
        <th><b>検索項目. . .</b></th>
        <th><b>入力内容. . .</b></th>
    </tr>
    <tr>
        <td>Darleneという名のすべてのユーザ</td>
        <td><b>検索:</b> ユーザ | <b>ただし:</b> 氏名 |
        starts with (開始文字) | Darlene</td>
    </tr>
    <tr>
        <td>名字がSweeneyのすべてのユーザ</td>
        <td><b>検索:</b> ユーザ | <b>ただし:</b> 名字 |
        is (一致) | Sweeny</td>
    </tr>
    <tr>
        <td>Vice President (副社長) であるすべてのユーザ</td>
        <td><b>検索:</b> ユーザ | <b>ただし:</b> 役職 |
        contains (含有) | Vice President</td>
    </tr>
    <tr>
        <td>Accounting (会計) という名前の組織</td>
        <td><b>検索:</b> 組織 | <b>ただし:</b> 名前 |
        is (一致) | Accounting</td>
    </tr>
    <tr>
        <td>Scuba Diving (スキューバダイビング) に興味のあるグループ</td>
        <td><b>検索:</b> グループ | <b>ただし:</b> 記述 |
        contains (含有) | scuba</td>
    </tr>
    <tr>
        <td>printerという語を含む名を持つエントリ</td>
        <td><b>検索:</b> 任意のタイプ | <b>ただし:</b> 名前 |
        contains (含有) | printer</td>
    </tr>
</table>

<h2><a name="results"></a>検索結果の表示</h2>

<p>標準検索または拡張検索を実行するとき、検索データがDirectory ServerインタフェースによってDirectory Serverへ送信されます。Directory Serverで検索が実行され、一致したエントリがDirectory Serverのインタフェースへ戻されます。結果の表示方法は、以下のような一致の種類によって異なります。</p>

<ul>
    <li><a href="#nomatch">一致なし</a></li>
    <li><a href="#single">1件の一致</a></li>
    <li><a href="#multiple">複数の一致</a></li>
</ul>

<p>このセクションでは、ディレクトリ ツリーで検索を試みるときに遭遇する<a href="#problems">その他の問題</a>についても説明しています。</p>

<h3><a name="nomatch"></a>一致なし</h3>

<p>検索結果として一致なしが戻された場合、以下のいずれかを意味します。</p>

<ul>
    <li>検索基準に一致するエントリがディレクトリ内に存在しないこと。これが正しくないと思われる場合は、他の結果が得られるかどうか、多少異なるパラメータを使用して別の検索を試みてください。</li>
    <li>検索を実行する前に<a href="auth.htm#1016877">認証</a>を行わなかったこと。認証の必要条件はディレクトリ管理者が決定します。ディレクトリ管理者は、ディレクトリにアクセス制御を設定することにより、ツリーを検索する前にユーザが認証しなければならないようにできます。アクセス制御は、ディレクトリ ツリー全体またはツリーの一部のみを対象に設定できます。ディレクトリ ツリーを検索する前に認証する必要があるのに、検索の実行前に認証しなかった場合、Directory Serverはディレクトリで一致エントリが見つからなかったかのように動作します。セキュリティの理由から、認証が必要であることを知らせるメッセージはまったく表示されません。検索の実行前にDirectory Serverに認証する必要があるかどうかは、ディレクトリ管理者にお尋ねください。認証の詳細は、「ディレクトリへの認証」を参照してください。</li>
    <li>認証の必要性に関わらず、ツリーのアクセス制御により、エントリの表示が禁止されていること。</li>
</ul>

<h3><a name="single"></a>1件の一致<b> </b></h3>

<p>「is (一致)」検索に対して1件だけの一致が戻された場合、Directory Serverインタフェースによって、そのエントリに関する情報が検索結果として表示されます。この1件の一致が他の検索方法でも見つかった場合はテーブルに表示されるので、リンクをクリックしてそのエントリの詳細情報を表示する必要があります。このフォームには、エントリを<a href="mod.htm">編集</a>するためのボタンが含まれています。エントリを編集するには適切な許可が必要です。また、エントリを編集する前に、<a href="auth.htm#userauth">認証</a>する必要があります。</p>

<h3><a name="multiple"></a>複数の一致<b> </b></h3>

<p>検索に対して複数の一致が戻された場合、Directory Serverインタフェースによって、一致したすべてのエントリと、各エントリの関連情報 (エントリの電話番号や電子メールアドレスなど) がテーブルに表示されます。実際に表示される情報は、検索中のエントリのタイプによって決定されます。特定のエントリについて詳細を表示するには、テーブルの最初の列にあるエントリの名前をクリックします。</p>

<h3><a name="problems"></a><b>その他の問題</b></h3>

<p>数値を検索する場合、奇妙な結果が表示されることがあります。これは、Directory Serverでは、実際に数値 (電話番号や部屋番号) であるかどうかに関わず、すべての値が文字列として保存されるためです。このため、数値を検索するときは、スペースや先行するゼロがある場合、それらもすべて含めるように注意してください。</p>

<p>また、Directory Serverインタフェースによって、先行および後続の空白スペースが検索基準からすべて除去されることに注意してください。実際にディレクトリ エントリの値に先行または後続の空白スペースが含まれることはほとんどありませんが、含まれる場合もあります。このために、先行または後続の空白スペースが含まれる値に対する完全一致の検索が失敗します。この問題が発生した場合は、完全一致検索の代わりに、<a
href="filters.htm#1018345">副文字列検索</a> (contains (含有) 検索) を使用すると良いでしょう。</p>

<h2><a name="vCard"></a>vCardの表示</h2>

<p>vCardとはデジタル式の名刺です。普通の名刺と同様、vCardには、ユーザの名前、役職、電話およびファックス番号、電子メール アドレスなどの連絡先情報が含まれています。ただし、普通の名刺と異なり、vCardには、画像、音声、ビデオなどのマルチメディア要素も含めることができます。vCardを表示するには、以下に従ってください。</p>

<ol>
    <li><a href="#standard">標準検索</a>または<a
        href="#advanced">拡張検索</a>機能を使用して、表示したいvCardの所有者を検索します。</li>
    <li>[View Card] ボタンをクリックします。<br>
        Directory Serverインタフェースによって、vCardの縮小版が表示されます。</li>
    <li>詳細を表示するには、[View
        Complete Card] をクリックします。</li>
    <li>Communicatorのアドレス帳にそのユーザを追加するには、
        [Add to Address Book] をクリックして [OK] をクリックします。</li>
</ol>
</body>
</html>



